
.calendar_bar {
  display: grid;
  grid-template-columns: auto auto auto auto auto auto auto auto;
  border-bottom: 0;
  table-layout: fixed;

}

.calendar_bar > .grid-item {
  border-bottom: 0;
}

.wrap {
  display: grid;
  grid-template-columns: auto auto auto auto auto auto auto auto;
  margin-bottom: 25px;
}

.grid-item {
  background-color: rgba(255, 255, 255, 0.8);
  border: 1px solid rgba(0, 0, 0, 0.2);
  padding: 20px;
  font-size: 30px;
  text-align: center;
}

.calendar_bar :nth-child(1) {
  border-radius: 10px 0 0 0;
}

.calendar_bar :nth-child(8) {
  border-radius: 0 10px 0 0;
}

.calendar_container :nth-last-child(8) {
  border-radius: 0 0 0 10px;
}

.calendar_container :nth-last-child(1) {
  border-radius: 0 0 10px 0;
}

.calendar_container :nth-child(-n+8) {
  border-top: 0;
}

.calendar_container :nth-last-child(-n+8) {
  border-bottom: 0;
}

.calendar__title {
  background: #fff;
  padding: 1rem;
  color: rgba(0, 0, 0, 0.7);
  position: relative;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  border-radius: 8px 8px 0px 0px;

  font-size: 1.5rem;
  margin: 0 1rem;
  text-align: center;
  cursor: pointer;
  vertical-align: middle;
  position: relative;
}

.calendar__title > h1 {
  flex: 1;
}

/* .calendar__title > h1:hover {
  color: red;
} */

button.secondary {
  border: 1px solid rgba(0, 0, 0, 0.1);
  background: white;
  padding: 0.5rem 0.75rem;
  font-size: 14px;
  border-radius: 2px;
  color: rgba(0, 0, 0, 0.5);
  box-shadow: 0px 1px 2px rgba(0, 0, 0, 0.1);
  cursor: pointer;
  font-weight: 500;
}

button.secondary:hover {
  background: #fafafa;
}
button.secondary:active {
  box-shadow: none;
}
button.secondary:focus {
  outline: 0;
}

#today {
  margin-left: 1rem;
}

.calendar_container > .wrap {
  overflow-x: scroll;
  overflow-y: scroll;
  max-width: 1280px;
  height: 500px;
  border-radius: 0 0 8px 8px;
  border: 1px solid rgba(0, 0, 0, 0.2);
}

.calendar_container > .wrap > .grid-item > .grid-item{
  font-size: xx-small;
}